Package org.picocontainer

# Class Emjection

java.lang.Object
org.picocontainer.Emjection

public class Emjection extends Object

## Constructor Summary

Constructors
Constructor
Description
`Emjection()`

## Method Summary

Modifier and Type
Method
Description
`static <T> T`
`neu(Class<T> type, Emjection emjection, Object... args)`
`void`
`setPico(ImmutablePicoContainer container)`
`static void`
`setupEmjection(Object inst, PicoContainer container)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Emjection

public Emjection()

## Method Details

### setPico

public void setPico(ImmutablePicoContainer container)

### neu

public static <T> T neu(Class<T> type, Emjection emjection, Object... args)

### setupEmjection

public static void setupEmjection(Object inst, PicoContainer container)